<?php // process library

function get_invitation(&$db, $invitation_uiid) {
  $invalid = strtotime("-2 weeks");

  $query  = 'SELECT invitation_uiid, mailaddress, group_id, timestamp, denied, inviter '
          . ' FROM ' . $db['invitations']
          . ' WHERE invitation_uiid = $1 AND timestamp > $2'
          . ' AND NOT denied';

  $result = db_select($db, $query, $invitation_uiid, $invalid);

  return $result ? $result[0] : false;
}

function delete_invitation(&$db, $invitation_uiid) {
  $query  = 'DELETE FROM ' . $db['invitations']
          . ' WHERE invitation_uiid = $1';

  return db_exec($db, $query, $invitation_uiid);
}

function deny_invitation(&$db, $invitation_uiid) {
  $query  = 'UPDATE ' . $db['invitations']
          . ' SET denied = TRUE'
          . ' WHERE invitation_uiid = $1';

  return db_exec($db, $query, $invitation_uiid);
}

function purge_invitations(&$db) {
  $invalid = strtotime("-1 month");
  $query  = 'DELETE FROM ' . $db['invitations']
          . ' WHERE timestamp < $1';

  return db_exec($db, $query, $invalid);
}

?>
